/*
 *
 *                Copyright 1991,1992,1993,2001 Starbase Corp.
 *                        All rights reserved
 *
 *    This source code is provided to the purchaser of the product
 *    for the purpose of allowing the purchaser to customize and/or
 *    extend the functionality of the product.  The source code   
 *    remains the property of Starbase Corp. with all rights reserved.
 *    Any modifications to the source code are considered derivative
 *    works and all rights thereto are reserved to Starbase Corp. except
 *    that the purchaser may use the modified product in the same
 *    permitted manner as the unmodified product.  It is expressly
 *    prohibited to distribute in any manner any part of the original
 *    source code, whether in source or object form, without the
 *    express written permission from Starbase Corp.
 *
 *    Owner:
 *        Starbase Corporation
 *        1075 NW Murray Blvd., Suite 268
 *        Portland OR 97229
 *
 */

#include <windows.h>
#include <string.h>
#include <ctype.h>
#include "exports.h"
#include "apiasst.h"

LIBMAIN

void DLL _init( void );

void DLL
_init()
{
	int lastMenu;
	int helpMenuItems;

	lastMenu = MenuQCount();
	helpMenuItems = MenuQItemCount(HELP_MENU);

	// create API Asst menu item at bottom of Help Menu
	if (MenuInsertItem(HELP_MENU, helpMenuItems+1, MF_SEPARATOR, IDM_HELP, "", NULL)==0)
	{
		helpMenuItems = helpMenuItems+1;
		MenuInsertItem(HELP_MENU, helpMenuItems+1, MF_STRING, IDM_HELP_SELECT_API, "API Assistance On...", NULL);
		MenuAssign( IDM_HELP_SELECT_API, "CWSearchForKwd" );

		helpMenuItems = helpMenuItems+1;
		MenuInsertItem(HELP_MENU, helpMenuItems+1, MF_STRING, IDM_HELP_EDIT_API_INDEX, "Configure API Index File...", NULL);
		MenuAssign( IDM_HELP_EDIT_API_INDEX, "CWEditKwdIndex" );
	}

}
